# Get notification details Retrieve detailed information about a specific notification for the authenticated user. Endpoint: GET /notifications/notifications/{notificationId} Version: 1.0 Security: bearerAuth ## Header parameters: - `x-fingerprint-id` (string, required) Unique device or session fingerprint identifier used for security and fraud prevention. ## Path parameters: - `notificationId` (string, required) Unique identifier of the notification to retrieve. Example: "65dcd1f42b9a4e0028e7c991" ## Response 200 fields (application/json): - `statusCode` (integer) Example: 200 - `data` (object) - `data.id` (string) Example: "65dcd1f42b9a4e0028e7c991" - `data.createdAt` (string) Example: "2026-01-25T14:22:10.430Z" - `data.updatedAt` (string) Example: "2026-01-29T18:32:44.880Z" - `data.deleted` (string) - `data.userId` (string) Example: "e7b21f3a-1f4a-49b2-9c77-0e1a9b3d7a55" - `data.status` (string) Enum: "queued", "sending", "sent", "delivered", "failed", "retrying", "dropped", "canceled", "read" - `data.deviceId` (string) Example: "device-7a91c2" - `data.templateId` (string) Example: "65dccf1b912671528d111aaa" - `data.idempotencyKey` (string) Example: "7c91f1b9e4c640c5a2d39c8b77f4e2a15a6b9f33e8b1c0d7a9e4b1c2d3f9a01" - `data.payload` (object) - `data.payload.channel` (string) Enum: "email", "sms", "web-push", "mobile-push", "whatsapp", "*" - `data.payload.extras` (object) - `data.payload.extras.templateSlug` (string) Example: "easyflow-payment-confirmed" - `data.log` (object) - `data.log.attempts` (integer) Example: 3 - `data.log.lastAttemptAt` (string) Example: "2026-01-25T14:22:18.210Z" - `data.log.failedAt` (string) - `data.log.errorCode` (string) - `data.log.errorMsg` (string) - `data.log.nextAttemptAt` (string) - `data.log.droppedAt` (string) - `data.log.dropReason` (string) - `data.log.readAt` (string) Example: "2026-01-29T18:32:44.880Z" ## Response 400 fields (application/json): - `message` (string) Invalid param: [] Example: "Invalid param: []" - `error` (string) Bad Request Example: "Bad Request" - `statusCode` (integer) 400 Example: 400 ## Response 401 fields (application/json): - `message` (string) Invalid field Example: "Unauthorized" - `error` (string) Unauthorized Example: "Unauthorized" - `statusCode` (integer) 401 Example: 401 ## Response 403 fields (application/json): - `message` (string) Forbidden resource Example: "Forbidden resource" - `error` (string) Forbidden Example: "Forbidden" - `statusCode` (integer) 403 Example: 403 ## Response 500 fields (application/json): - `message` (string) Internal server error Example: "Internal server error" - `error` (string) Internal Server Error Example: "Internal Server Error" - `statusCode` (integer) 500 Example: 500